#! /bin/bash

test -f /usr/sbin/laptop_mode || exit 0

# Automatically disable laptop mode when the battery almost runs out.

MINIMUM_BATTERY_MINUTES=7
ACPI_WITHOUT_AC_EVENTS=0

. /usr/sbin/laptop_mode readconfig

if [ $ACPI_WITHOUT_AC_EVENTS -ne 0 ] ; then
	/etc/acpi/actions/lm_ac_adapter.sh
fi

# Don't do this check unless laptop mode is active.
if [ -f /proc/sys/vm/laptop_mode ] ; then
	LM=`cat /proc/sys/vm/laptop_mode`
	if [ "$LM" -gt 0 ] ; then
		/usr/sbin/laptop_mode auto
	fi
fi
